Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060639 - ipa cert automatic renew: cert automatically renewed, but renewed client cert not be recognized
Summary: ipa cert automatic renew: cert automatically renewed, but renewed client cert...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On: 1033273
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 07:12 UTC by Martin Kosek
Modified: 2014-10-14 07:32 UTC (History)
6 users (show)

Fixed In Version: ipa-3.0.0-38.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1033273
Environment:
Last Closed: 2014-10-14 07:32:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1383 normal SHIPPED_LIVE ipa bug fix and enhancement update 2014-10-14 01:21:36 UTC

Comment 2 Martin Kosek 2014-02-03 07:15:29 UTC
This Bugzilla is to request a backport of CA cert renewal fixes to 6.6. I think that the only related fix is to increase default timeout of services from 120 seconds to 300 seconds as PKI/dogtag is known to sometimes take more than 2 minutes to start.

Comment 3 Martin Kosek 2014-02-06 09:11:47 UTC
Upstream patch to increase default timeout:

master: be2c5d22b37b4673ac0bdeb8cab01be19fab288a
ipa-3-3: 876a00a8da99f71b2fe0c4420489e3d2813c0b5c

Moving to POST.

Comment 6 Jan Cholasta 2014-06-16 07:25:39 UTC
I confirm this, stopped_service is not available in 6.6 code base.

Comment 10 Xiyang Dong 2014-09-14 13:29:48 UTC
cert gets renewed and no trouble seeing certs after renewal.

[root@server6 yum.repos.d]# ipa cert-show 5
  Certificate: MIIDVzCCAj+gAwIBAgIBBTANBgkqhkiG9w0BAQsFADA4MRYwFAYDVQQKEw1URVNU
UkVMTS5URVNUMR4wHAYDVQQDExVDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwHhcNMTQw
OTEzMTkyMzQyWhcNMTYwOTAyMTkyMzQyWjArMRYwFAYDVQQKEw1URVNUUkVMTS5U
RVNUMREwDwYDVQQDEwhDQSBBdWRpdDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCC
AQoCggEBANb2nXh3Yv8uTSFwRpLYk6m2uTZK+3b9XaxWfZ1TSIgiWz84DC9rW5S4
MqtPR5/ik9yn2GZR6naKFsP1m0voTBFmOou2nHggMtY5WueGW/9oBgIfheD7Ha2q
CSh1M5ti45YCPHyvYwkcrbrx//NJsdox5iU8zyik8Vlfiy8T6jXEx1WxuNuVMcmE
XduITmuCM3HCbppdDQB/DueRqV5sH549AZLgx4lKKV1bZ8vkEhKS/b7xPX+4pOc3
v2saDHWEttVbRZib/DCd5ZlIfmYzrdflF1W04N/wzRKB0n0+wu/yUrWi4zf5crq/
lqMZhhmFwCN47BuOiKyhRf6Dm+DV+l0CAwEAAaN5MHcwHwYDVR0jBBgwFoAUm3We
wXL+0tRN/Gki8DucBHeslGQwDgYDVR0PAQH/BAQDAgbAMEQGCCsGAQUFBwEBBDgw
NjA0BggrBgEFBQcwAYYoaHR0cDovL3NlcnZlcjY2LnRlc3RyZWxtLnRlc3Q6ODAv
Y2Evb2NzcDANBgkqhkiG9w0BAQsFAAOCAQEAt/QEcNMR6E7uzt3wGb+Leha4tO0k
tfrqHWZQHO9AagOhsKtKapuxx3Uc3w74L7LYLRirxDMYaYtwaQb7a6OfFcYVBPVP
RTlxpKEcfAMPFZqaS331PWWvCumYL/acdwcY8gfeQe6YfGgiTX3rjmL9GpETX3vo
nLY5QLg7w9ninuJiRiQZZfW88DZ1eVQ3YRvedRdqxJYo9QNWrvPPAnNOBjOeq1h6
YOPTgU2sd2pUQl4ZrzHcwgWLO5QdRJulIEVupW1lEIwGHEslLJeGLiKIg4YApOvX
bJdm9tz4vFKpgyRdizTOMhkemf1xpC++ttS1kL0rOAKFsKK+Z60t7eZUBg==
  Subject: CN=CA Audit,O=TESTRELM.TEST
  Issuer: CN=Certificate Authority,O=TESTRELM.TEST
  Not Before: Sat Sep 13 19:23:42 2014 UTC
  Not After: Fri Sep 02 19:23:42 2016 UTC
  Fingerprint (MD5): 62:06:86:40:46:19:0b:42:f3:16:71:17:a6:69:09:52
  Fingerprint (SHA1): 3c:be:e9:f7:a4:2f:8a:2f:2e:e4:ec:2b:8e:ab:63:bc:33:06:af:e1
  Serial number (hex): 0x5
  Serial number: 5

[root@server6 yum.repos.d]# ipactl stop
Stopping CA Service
Stopping pki-ca:                                           [  OK  ]
Stopping HTTP Service
Stopping httpd:                                            [  OK  ]
Stopping MEMCACHE Service
Stopping ipa_memcached:                                    [  OK  ]
Stopping KPASSWD Service
Stopping Kerberos 5 Admin Server:                          [  OK  ]
Stopping KDC Service
Stopping Kerberos 5 KDC:                                   [  OK  ]
Stopping Directory Service
Shutting down dirsrv: 
    PKI-IPA...                                             [  OK  ]
    TESTRELM-TEST...                                       [  OK  ]

[root@server6 yum.repos.d]# date --set="1 Sep 2016 19:30:00" --utc
Thu Sep  1 19:30:00 UTC 2016

[root@server6 yum.repos.d]# ipactl start
Starting Directory Service
Starting dirsrv: 
    PKI-IPA...                                             [  OK  ]
    TESTRELM-TEST...                                       [  OK  ]
Starting KDC Service
Starting Kerberos 5 KDC:                                   [  OK  ]
Starting KPASSWD Service
Starting Kerberos 5 Admin Server:                          [  OK  ]
Starting MEMCACHE Service
Starting ipa_memcached:                                    [  OK  ]
Starting HTTP Service
Starting httpd:                                            [  OK  ]
Starting CA Service
Starting pki-ca:                                           [  OK  ]

---wait for 24 hrs---

[root@server6 yum.repos.d]# date --utc
Fri Sep  2 18:45:33 UTC 2016

[root@server66 ~]# ipactl stop
Stopping CA Service
Stopping pki-ca:                                           [  OK  ]
Stopping HTTP Service
Stopping httpd:                                            [  OK  ]
Stopping MEMCACHE Service
Stopping ipa_memcached:                                    [  OK  ]
Stopping KPASSWD Service
Stopping Kerberos 5 Admin Server:                          [  OK  ]
Stopping KDC Service
Stopping Kerberos 5 KDC:                                   [  OK  ]
Stopping Directory Service
Shutting down dirsrv: 
    PKI-IPA...                                             [  OK  ]
    TESTRELM-TEST...                                       [  OK  ]

[root@server66 ~]# date --set="03 Sep 2016 19:30:00" --utc
Sat Sep  3 19:30:00 UTC 2016

[root@server66 ~]# ipactl start
Starting Directory Service
Starting dirsrv: 
    PKI-IPA...                                             [  OK  ]
    TESTRELM-TEST...                                       [  OK  ]
Starting KDC Service
Starting Kerberos 5 KDC:                                   [  OK  ]
Starting KPASSWD Service
Starting Kerberos 5 Admin Server:                          [  OK  ]
Starting MEMCACHE Service
Starting ipa_memcached:                                    [  OK  ]
Starting HTTP Service
Starting httpd:                                            [  OK  ]
Starting CA Service
Starting pki-ca:                                           [  OK  ]

[root@server66 ~]# kinit admin
Password for admin@TESTRELM.TEST: 
[root@server66 ~]# ipa cert-show 5
  Certificate: MIIDVzCCAj+gAwIBAgIBBTANBgkqhkiG9w0BAQsFADA4MRYwFAYDVQQKEw1URVNU
UkVMTS5URVNUMR4wHAYDVQQDExVDZXJ0aWZpY2F0ZSBBdXRob3JpdHkwHhcNMTQw
OTEzMTkyMzQyWhcNMTYwOTAyMTkyMzQyWjArMRYwFAYDVQQKEw1URVNUUkVMTS5U
RVNUMREwDwYDVQQDEwhDQSBBdWRpdDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCC
AQoCggEBANb2nXh3Yv8uTSFwRpLYk6m2uTZK+3b9XaxWfZ1TSIgiWz84DC9rW5S4
MqtPR5/ik9yn2GZR6naKFsP1m0voTBFmOou2nHggMtY5WueGW/9oBgIfheD7Ha2q
CSh1M5ti45YCPHyvYwkcrbrx//NJsdox5iU8zyik8Vlfiy8T6jXEx1WxuNuVMcmE
XduITmuCM3HCbppdDQB/DueRqV5sH549AZLgx4lKKV1bZ8vkEhKS/b7xPX+4pOc3
v2saDHWEttVbRZib/DCd5ZlIfmYzrdflF1W04N/wzRKB0n0+wu/yUrWi4zf5crq/
lqMZhhmFwCN47BuOiKyhRf6Dm+DV+l0CAwEAAaN5MHcwHwYDVR0jBBgwFoAUm3We
wXL+0tRN/Gki8DucBHeslGQwDgYDVR0PAQH/BAQDAgbAMEQGCCsGAQUFBwEBBDgw
NjA0BggrBgEFBQcwAYYoaHR0cDovL3NlcnZlcjY2LnRlc3RyZWxtLnRlc3Q6ODAv
Y2Evb2NzcDANBgkqhkiG9w0BAQsFAAOCAQEAt/QEcNMR6E7uzt3wGb+Leha4tO0k
tfrqHWZQHO9AagOhsKtKapuxx3Uc3w74L7LYLRirxDMYaYtwaQb7a6OfFcYVBPVP
RTlxpKEcfAMPFZqaS331PWWvCumYL/acdwcY8gfeQe6YfGgiTX3rjmL9GpETX3vo
nLY5QLg7w9ninuJiRiQZZfW88DZ1eVQ3YRvedRdqxJYo9QNWrvPPAnNOBjOeq1h6
YOPTgU2sd2pUQl4ZrzHcwgWLO5QdRJulIEVupW1lEIwGHEslLJeGLiKIg4YApOvX
bJdm9tz4vFKpgyRdizTOMhkemf1xpC++ttS1kL0rOAKFsKK+Z60t7eZUBg==
  Subject: CN=CA Audit,O=TESTRELM.TEST
  Issuer: CN=Certificate Authority,O=TESTRELM.TEST
  Not Before: Sat Sep 13 19:23:42 2014 UTC
  Not After: Fri Sep 02 19:23:42 2016 UTC
  Fingerprint (MD5): 62:06:86:40:46:19:0b:42:f3:16:71:17:a6:69:09:52
  Fingerprint (SHA1): 3c:be:e9:f7:a4:2f:8a:2f:2e:e4:ec:2b:8e:ab:63:bc:33:06:af:e1
  Serial number (hex): 0x5
  Serial number: 5

[root@server66 ~]# getcert list
Number of certificates and requests being tracked: 8.
Request ID '20140913192428':
	status: MONITORING
	stuck: no
	key pair storage: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='auditSigningCert cert-pki-ca',token='NSS Certificate DB',pin='207613751381'
	certificate: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='auditSigningCert cert-pki-ca',token='NSS Certificate DB'
	CA: dogtag-ipa-renew-agent
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=CA Audit,O=TESTRELM.TEST
	expires: 2018-08-23 04:43:48 UTC
	key usage: digitalSignature,nonRepudiation
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192429':
	status: MONITORING
	stuck: no
	key pair storage: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='ocspSigningCert cert-pki-ca',token='NSS Certificate DB',pin='207613751381'
	certificate: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='ocspSigningCert cert-pki-ca',token='NSS Certificate DB'
	CA: dogtag-ipa-renew-agent
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=OCSP Subsystem,O=TESTRELM.TEST
	expires: 2018-08-23 04:42:48 UTC
	eku: id-kp-OCSPSigning
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192430':
	status: MONITORING
	stuck: no
	key pair storage: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='subsystemCert cert-pki-ca',token='NSS Certificate DB',pin='207613751381'
	certificate: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='subsystemCert cert-pki-ca',token='NSS Certificate DB'
	CA: dogtag-ipa-renew-agent
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=CA Subsystem,O=TESTRELM.TEST
	expires: 2018-08-23 04:42:48 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192431':
	status: MONITORING
	stuck: no
	key pair storage: type=NSSDB,location='/etc/httpd/alias',nickname='ipaCert',token='NSS Certificate DB',pinfile='/etc/httpd/alias/pwdfile.txt'
	certificate: type=NSSDB,location='/etc/httpd/alias',nickname='ipaCert',token='NSS Certificate DB'
	CA: dogtag-ipa-renew-agent
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=IPA RA,O=TESTRELM.TEST
	expires: 2018-08-23 12:04:18 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192432':
	status: MONITORING
	stuck: no
	key pair storage: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='Server-Cert cert-pki-ca',token='NSS Certificate DB',pin='207613751381'
	certificate: type=NSSDB,location='/var/lib/pki-ca/alias',nickname='Server-Cert cert-pki-ca',token='NSS Certificate DB'
	CA: dogtag-ipa-renew-agent
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=server66.testrelm.test,O=TESTRELM.TEST
	expires: 2018-08-23 04:42:48 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192446':
	status: CA_UNREACHABLE
	ca-error: Error setting up ccache for "host" service on client using default keytab: Cannot contact any KDC for realm 'TESTRELM.TEST'.
	stuck: no
	key pair storage: type=NSSDB,location='/etc/dirsrv/slapd-TESTRELM-TEST',nickname='Server-Cert',token='NSS Certificate DB',pinfile='/etc/dirsrv/slapd-TESTRELM-TEST/pwdfile.txt'
	certificate: type=NSSDB,location='/etc/dirsrv/slapd-TESTRELM-TEST',nickname='Server-Cert',token='NSS Certificate DB'
	CA: IPA
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=server66.testrelm.test,O=TESTRELM.TEST
	expires: 2016-09-13 19:24:46 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192537':
	status: CA_UNREACHABLE
	ca-error: Error setting up ccache for "host" service on client using default keytab: Cannot contact any KDC for realm 'TESTRELM.TEST'.
	stuck: no
	key pair storage: type=NSSDB,location='/etc/dirsrv/slapd-PKI-IPA',nickname='Server-Cert',token='NSS Certificate DB',pinfile='/etc/dirsrv/slapd-PKI-IPA/pwdfile.txt'
	certificate: type=NSSDB,location='/etc/dirsrv/slapd-PKI-IPA',nickname='Server-Cert',token='NSS Certificate DB'
	CA: IPA
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=server66.testrelm.test,O=TESTRELM.TEST
	expires: 2016-09-13 19:25:37 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes
Request ID '20140913192646':
	status: CA_UNREACHABLE
	ca-error: Error setting up ccache for "host" service on client using default keytab: Cannot contact any KDC for realm 'TESTRELM.TEST'.
	stuck: no
	key pair storage: type=NSSDB,location='/etc/httpd/alias',nickname='Server-Cert',token='NSS Certificate DB',pinfile='/etc/httpd/alias/pwdfile.txt'
	certificate: type=NSSDB,location='/etc/httpd/alias',nickname='Server-Cert',token='NSS Certificate DB'
	CA: IPA
	issuer: CN=Certificate Authority,O=TESTRELM.TEST
	subject: CN=server66.testrelm.test,O=TESTRELM.TEST
	expires: 2016-09-13 19:26:45 UTC
	key usage: digitalSignature,nonRepudiation,keyEncipherment,dataEncipherment
	eku: id-kp-serverAuth,id-kp-clientAuth
	pre-save command: 
	post-save command: 
	track: yes
	auto-renew: yes

Comment 11 errata-xmlrpc 2014-10-14 07:32:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1383.html


Note You need to log in before you can comment on or make changes to this bug.